#ifdef TESTFUNCDLL_EXPORT
#define TESTFUNCDLL_API __declspec(dllexport) 
#else
#define TESTFUNCDLL_API __declspec(dllimport) 
#endif

extern "C" {
#include <SMCore.h>
#include "WIAClientSM_info.h"
	TESTFUNCDLL_API int create_wiaclient_sm();
	TESTFUNCDLL_API int attach_wiaclient_sm();
	TESTFUNCDLL_API int copy_wiaclient_data_to_sm(WIAClientLibObjects *wiaclient_data);
	TESTFUNCDLL_API void reset_wiaclient_connected();
	TESTFUNCDLL_API void set_wiaclient_connected();
	TESTFUNCDLL_API bool is_wiaclient_connected();
	TESTFUNCDLL_API int get_jpeg_length();
	TESTFUNCDLL_API BYTE * get_jpeg_data();
	TESTFUNCDLL_API void copy_jpeg_data( void *cpy_data);
	TESTFUNCDLL_API long get_wiaclient_frame_id();
	TESTFUNCDLL_API int get_wiaclient_frame_sec( double *sec);
}